## mplayerthumbs 4.13.0

=== src/CMakeLists.txt ===
include_directories( ${CMAKE_CURRENT_BINARY_DIR} ${CMAKE_CURRENT_SOURCE_DIR} )

set(PHONON_API FALSE)

if(ENABLE_PHONON_SUPPORT)
	set(PHONON_API TRUE)
endif(ENABLE_PHONON_SUPPORT)

configure_file(mplayerthumbs-config.h.cmake ${CMAKE_CURRENT_BINARY_DIR}/mplayerthumbs-config.h )

set(videopreview_PART_SRCS 
	frameselector.cpp 
	videopreview.cpp  
	mplayervideobackend.cpp 
	videobackendiface.cpp 
	previewingfile.cpp 
	thumbnail.cpp 
	thumbnailsmap.cpp 
	servicesfactory.cpp)

if( PHONON_API )
	set( videopreview_PART_SRCS
		${videopreview_PART_SRCS}
		phononbackend.cpp )
endif( PHONON_API )

kde4_add_kcfg_files(videopreview_PART_SRCS mplayerthumbs.kcfgc)
kde4_add_plugin(videopreview ${videopreview_PART_SRCS})

target_link_libraries(videopreview ${KDE4_KIO_LIBS} )

if( PHONON_API )
	target_link_libraries(videopreview ${PHONON_LIBRARY} )
endif( PHONON_API )

install(TARGETS videopreview DESTINATION ${PLUGIN_INSTALL_DIR})


########### install files ###############

install(FILES  mplayerthumbs.kcfg DESTINATION ${KCFG_INSTALL_DIR})
install(FILES  videopreview.desktop DESTINATION ${SERVICES_INSTALL_DIR})
install(FILES  sprocket-small.png sprocket-medium.png sprocket-large.png DESTINATION ${DATA_INSTALL_DIR}/videothumbnail)

add_subdirectory(configuration)

## mplayerthumbs 4.10.4

=== debian/changelog ===
mplayerthumbs (4:4.10.4-0ubuntu1) saucy-proposed; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 07 Jun 2013 01:01:21 +0100

mplayerthumbs (4:4.10.3-0ubuntu1) saucy; urgency=low

  * Sync from Debian
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 04 Jun 2013 14:27:40 +0100

mplayerthumbs (4:4.10.2-1) experimental; urgency=low

  [ Pino Toscano ]
  * Initial packaging.

 -- Sune Vuorela <sune@debian.org>  Thu, 11 Apr 2013 21:41:43 +0000

=== debian/control ===
Source: mplayerthumbs
Section: kde
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>
Build-Depends: kde-sc-dev-latest (>= 4:4.10),
 cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
 kdelibs5-dev (>= 4:4.10),
Standards-Version: 3.9.3
Homepage: http://www.kde.org/
Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/mplayerthumbs.git
Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/mplayerthumbs.git

Package: mplayerthumbs
Architecture: any
Depends: ${shlibs:Depends}, ${misc:Depends}, mplayer
Description: video thumbnail generator using mplayer
 MPlayerThumbs is a video thumbnail generator for KDE file managers
 like Dolphin and Konqueror.  It enables them to show preview images
 of video files using MPlayer.
 .
 This package is part of the KDE multimedia module.

## mplayerthumbs 4.10.90

=== debian/changelog ===
mplayerthumbs (4:4.10.90-0ubuntu1) saucy; urgency=low

  * New upstream bet release

 -- Michał Zając <quintasan@kubuntu.org>  Fri, 28 Jun 2013 18:28:38 +0100

mplayerthumbs (4:4.10.80-0ubuntu1) saucy; urgency=low

  * New upstream release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 21 Jun 2013 02:07:18 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Pino Toscano <pino@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.10),
+ kdelibs5-dev (>= 4:4.10.90),
 Standards-Version: 3.9.3
 Homepage: http://www.kde.org/
 Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/mplayerthumbs.git

## mplayerthumbs 4.10.95

=== debian/changelog ===
mplayerthumbs (4:4.10.95-0ubuntu1) saucy; urgency=low

  * New upstream RC release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 19 Jul 2013 12:33:27 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Pino Toscano <pino@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.10.90),
+ kdelibs5-dev (>= 4:4.10.95),
 Standards-Version: 3.9.3
 Homepage: http://www.kde.org/
 Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/mplayerthumbs.git

## mplayerthumbs 4.10.97

=== debian/changelog ===
mplayerthumbs (4:4.10.97-0ubuntu1) saucy; urgency=low

  * New upstream RC 2 release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 26 Jul 2013 20:00:29 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Pino Toscano <pino@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.10.95),
+ kdelibs5-dev (>= 4:4.10.97),
 Standards-Version: 3.9.3
 Homepage: http://www.kde.org/
 Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/mplayerthumbs.git

## mplayerthumbs 4.11.0

=== debian/changelog ===
mplayerthumbs (4:4.11.0-0ubuntu1) saucy; urgency=low

  [ Howard Chan ]
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 14 Aug 2013 00:39:06 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Pino Toscano <pino@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.10.97),
+ kdelibs5-dev (>= 4:4.11.0),
 Standards-Version: 3.9.3
 Homepage: http://www.kde.org/
 Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/mplayerthumbs.git

## mplayerthumbs 4.11.1

=== debian/changelog ===
mplayerthumbs (4:4.11.1-0ubuntu1) saucy; urgency=low

  * New upstream bugfix release.

 -- Philip Muškovac <yofel@kubuntu.org>  Fri, 30 Aug 2013 16:31:24 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Pino Toscano <pino@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.11.0),
+ kdelibs5-dev (>= 4:4.11.1),
 Standards-Version: 3.9.3
 Homepage: http://www.kde.org/
 Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/mplayerthumbs.git

## mplayerthumbs 4.11.80

=== debian/changelog ===
mplayerthumbs (4:4.11.80-0ubuntu1) trusty; urgency=low

  * New upstream beta release 

 -- Philip Muškovac <yofel@kubuntu.org>  Sat, 23 Nov 2013 17:56:00 +0100

=== debian/control ===
--- 
+++ 
@@ -6,11 +6,11 @@
 Uploaders: Pino Toscano <pino@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.11.1),
+ kdelibs5-dev (>= 4:4.11.80),
 Standards-Version: 3.9.3
 Homepage: http://www.kde.org/
-Vcs-Browser: http://git.debian.org/?p=pkg-kde/kde-sc/mplayerthumbs.git
-Vcs-Git: git://git.debian.org/pkg-kde/kde-sc/mplayerthumbs.git
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/mplayerthumbs
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/mplayerthumbs
 
 Package: mplayerthumbs
 Architecture: any

## mplayerthumbs 4.11.95

=== debian/changelog ===
mplayerthumbs (4:4.11.95-0ubuntu1) trusty; urgency=low

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Mon, 25 Nov 2013 18:34:20 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Pino Toscano <pino@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.11.80),
+ kdelibs5-dev (>= 4:4.11.95),
 Standards-Version: 3.9.3
 Homepage: http://www.kde.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/mplayerthumbs

## mplayerthumbs 4.11.97

=== debian/changelog ===
mplayerthumbs (4:4.11.97-0ubuntu1) trusty; urgency=low

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Fri, 29 Nov 2013 13:36:37 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Pino Toscano <pino@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.11.95),
+ kdelibs5-dev (>= 4:4.11.97),
 Standards-Version: 3.9.3
 Homepage: http://www.kde.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/mplayerthumbs

## mplayerthumbs 4.12.3

=== debian/changelog ===
mplayerthumbs (4:4.12.3-0ubuntu1~ubuntu12.04.4~ppa1) precise; urgency=low

  * precise backport

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 06 Mar 2014 15:52:33 +0100

mplayerthumbs (4:4.12.3-0ubuntu1~ubuntu14.04~ppa1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Fri, 28 Feb 2014 21:17:57 +0100

mplayerthumbs (4:4.12.2-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Wed, 05 Feb 2014 00:23:41 +0000

mplayerthumbs (4:4.12.1-0ubuntu1) trusty; urgency=low

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Thu, 16 Jan 2014 08:37:20 +0000

mplayerthumbs (4:4.12.0-0ubuntu1) trusty; urgency=low

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 18 Dec 2013 17:39:11 +0000

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Pino Toscano <pino@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.11.97),
+ kdelibs5-dev (>= 4:4.12.3),
 Standards-Version: 3.9.3
 Homepage: http://www.kde.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/mplayerthumbs

## mplayerthumbs 4.13.0

=== debian/changelog ===
mplayerthumbs (4:4.13.0-0ubuntu1) trusty; urgency=medium

  * New upstream KDE Software Compilation release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Thu, 10 Apr 2014 22:24:21 +0100

mplayerthumbs (4:4.12.97-0ubuntu1) trusty; urgency=medium

  * New upstream release candidate

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 02 Apr 2014 11:51:48 +0200

mplayerthumbs (4:4.12.95-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Rohan Garg <rohangarg@kubuntu.org>  Sun, 23 Mar 2014 12:51:20 +0100

mplayerthumbs (4:4.12.90-0ubuntu1) trusty; urgency=medium

  * New upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 19 Mar 2014 11:57:40 +0000

mplayerthumbs (4:4.12.3-0ubuntu1) trusty; urgency=medium

  * New upstream bugfix release

 -- Rohan Garg <rohangarg@kubuntu.org>  Tue, 04 Mar 2014 21:12:42 +0100

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Pino Toscano <pino@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.12.3),
+ kdelibs5-dev (>= 4:4.13.0),
 Standards-Version: 3.9.3
 Homepage: http://www.kde.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/mplayerthumbs

## mplayerthumbs 4.13.3

=== debian/changelog ===
mplayerthumbs (4:4.13.3-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1349296)

 -- Philip Muškovac <yofel@kubuntu.org>  Mon, 04 Aug 2014 20:36:49 +0200

mplayerthumbs (4:4.13.1-0ubuntu0.1) trusty; urgency=medium

  * New upstream bugfix release (LP: #1318142)

 -- Philip Muškovac <yofel@kubuntu.org>  Wed, 04 Jun 2014 16:55:44 +0200

=== debian/control ===
--- 
+++ 
@@ -6,7 +6,7 @@
 Uploaders: Pino Toscano <pino@debian.org>
 Build-Depends: kde-sc-dev-latest (>= 4:4.10),
  cmake, debhelper (>= 7.3.16), pkg-kde-tools (>= 0.12),
- kdelibs5-dev (>= 4:4.13.0),
+ kdelibs5-dev (>= 4:4.13.3),
 Standards-Version: 3.9.3
 Homepage: http://www.kde.org/
 Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/mplayerthumbs

=== debian/watch ===
version=3
ftp://ftp.kde.org/pub/kde/stable/([\d\.]*)/src/mplayerthumbs-([\d\.]*).tar.xz

## mplayerthumbs 4.14.0

=== debian/changelog ===
mplayerthumbs (4:4.14.0-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Wed, 20 Aug 2014 21:14:33 +0200

mplayerthumbs (4:4.13.3-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Sun, 27 Jul 2014 00:12:13 +0200

mplayerthumbs (4:4.13.1-1) unstable; urgency=medium

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 16 May 2014 21:15:54 +0200

mplayerthumbs (4:4.12.2-2) unstable; urgency=medium

  * Release to unstable

 -- Maximiliano Curia <maxy@debian.org>  Mon, 28 Apr 2014 12:25:15 +0200

mplayerthumbs (4:4.12.2-1) experimental; urgency=medium

  * Do not disable an empty test set.
  * Bump Standards-Version to 3.9.5, no changes needed.
  * New upstream release.
  * Bump kde-sc-dev-latest build dependency.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 10 Feb 2014 11:32:25 +0100

mplayerthumbs (4:4.11.3-1) unstable; urgency=low

  * New upstream release.
  * Update build dependencies.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 08 Nov 2013 12:17:19 +0100

mplayerthumbs (4:4.11.2-1) experimental; urgency=low

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Mon, 07 Oct 2013 15:00:44 +0200

mplayerthumbs (4:4.10.5-1) unstable; urgency=low

  * New upstream release.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 12 Jul 2013 00:15:30 +0200

mplayerthumbs (4:4.10.4-1) experimental; urgency=low

  * New upstream release.
  * Bump debhelper build-dep and compat to 9.
  * Bump Standards-Version to 3.9.4.
  * Update vcs fields.
  * Add myself to uploaders.

 -- Maximiliano Curia <maxy@debian.org>  Fri, 14 Jun 2013 11:43:13 +0200

=== debian/control ===
Source: mplayerthumbs
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev (>= 4:4.11),
               pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.5
Homepage: http://www.kde.org/
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/mplayerthumbs.git
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/mplayerthumbs.git

Package: mplayerthumbs
Architecture: any
Depends: mplayer, ${misc:Depends}, ${shlibs:Depends}
Description: video thumbnail generator using mplayer
 MPlayerThumbs is a video thumbnail generator for KDE file managers
 like Dolphin and Konqueror.  It enables them to show preview images
 of video files using MPlayer.
 .
 This package is part of the KDE multimedia module.

=== debian/watch ===
version=3
http://download.kde.org/stable/([\d.]+)/src/mplayerthumbs-([\d.]+).tar.xz

## mplayerthumbs 4.14.1

=== debian/changelog ===
mplayerthumbs (4:4.14.1-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Mon, 22 Sep 2014 17:50:37 +0200

mplayerthumbs (4:4.14.0-0ubuntu1) utopic; urgency=medium

  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Wed, 20 Aug 2014 13:35:37 +0200

mplayerthumbs (4:4.13.97-0ubuntu1) utopic; urgency=medium

  * New upstream beta release RC

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Fri, 01 Aug 2014 17:25:36 +0200

mplayerthumbs (4:4.13.95-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Wed, 30 Jul 2014 18:51:13 +0200

mplayerthumbs (4:4.13.90-0ubuntu1) utopic; urgency=medium

  * New upstream beta release

 -- Scarlett Clark <scarlett@scarlettgatelyclark.com>  Thu, 24 Jul 2014 23:39:06 +0200

mplayerthumbs (4:4.13.2-0ubuntu1) utopic; urgency=medium

  * New upstream release
  * Merge with Debian, no changes

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 17 Jun 2014 10:42:02 +0100

=== debian/control ===
--- 
+++ 
@@ -1,17 +1,20 @@
 Source: mplayerthumbs
 Section: kde
 Priority: optional
-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
+Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
+XSBC-Original-Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
 Uploaders: Pino Toscano <pino@debian.org>, Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
                kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.11),
+               kdelibs5-dev (>= 4:4.14.1),
                pkg-kde-tools (>= 0.12)
 Standards-Version: 3.9.5
 Homepage: http://www.kde.org/
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/mplayerthumbs.git
-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/mplayerthumbs.git
+Vcs-Browser: http://bazaar.launchpad.net/~kubuntu-packagers/kubuntu-packaging/mplayerthumbs
+Vcs-Bzr: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/mplayerthumbs
+X-Debian-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-kde/kde-sc/mplayerthumbs.git
+X-Debian-Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-sc/mplayerthumbs.git
 
 Package: mplayerthumbs
 Architecture: any

## mplayerthumbs 4.14.2

=== debian/changelog ===
mplayerthumbs (4:4.14.2-0ubuntu1~ubuntu14.04~ppa1) trusty; urgency=medium

  * trusty backport

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 14 Oct 2014 17:06:51 +0200

mplayerthumbs (4:4.14.2-0ubuntu1~ubuntu14.10~ppa1) utopic; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 06:29:32 -0700

=== debian/control ===
--- 
+++ 
@@ -6,8 +6,8 @@
 Uploaders: Pino Toscano <pino@debian.org>, Maximiliano Curia <maxy@debian.org>
 Build-Depends: cmake,
                debhelper (>= 9),
-               kde-sc-dev-latest (>= 4:4.12),
-               kdelibs5-dev (>= 4:4.14.1),
+               kde-sc-dev-latest (>= 4:4.11),
+               kdelibs5-dev (>= 4:4.14.2),
                pkg-kde-tools (>= 0.12)
 Standards-Version: 3.9.5
 Homepage: http://www.kde.org/

## mplayerthumbs 14.12.0

=== debian/changelog ===
mplayerthumbs (4:14.12.0-0ubuntu1~ubuntu15.04~ppa2) vivid; urgency=medium

  * New upstream release
  * Remove kdelibs5-dev depend version as there was not a new release.

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 12 Dec 2014 11:47:47 -0800

mplayerthumbs (4:14.11.97-0ubuntu1) vivid; urgency=medium

  * New upstream RC release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Mon, 01 Dec 2014 18:03:51 +0100

mplayerthumbs (4:4.14.2-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 10 Oct 2014 06:29:32 -0700

=== debian/control ===
Source: mplayerthumbs
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev,
               pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.5
Homepage: http://www.kde.org/
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/mplayerthumbs.git/
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/mplayerthumbs.git

Package: mplayerthumbs
Architecture: any
Depends: mplayer, ${misc:Depends}, ${shlibs:Depends}
Description: video thumbnail generator using mplayer
 MPlayerThumbs is a video thumbnail generator for KDE file managers
 like Dolphin and Konqueror.  It enables them to show preview images
 of video files using MPlayer.
 .
 This package is part of the KDE multimedia module.

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/mplayerthumbs-([\d.]+).tar.xz

http://download.kde.org/unstable/applications/([\d.]+)/src/mplayerthumbs-([\d.]+).tar.xz

## mplayerthumbs 14.12.2

=== debian/changelog ===
mplayerthumbs (4:14.12.2-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Remove unstable from watch file, uscan fails with 
    remote site does not even have current version
    
 -- Scarlett Clark <sgclark@kubuntu.org>  Tue, 10 Feb 2015 08:43:52 -0800

mplayerthumbs (4:14.12.0-0ubuntu1) vivid; urgency=medium

  * New upstream release
  * Remove kdelibs5-dev depend version as there was not a new release.

 -- Scarlett Clark <sgclark@kubuntu.org>  Mon, 15 Dec 2014 16:10:35 +0100

## mplayerthumbs 14.12.3

=== debian/changelog ===
mplayerthumbs (4:14.12.3-0ubuntu1) vivid; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Fri, 13 Mar 2015 13:51:15 -0700

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/mplayerthumbs-([\d.]+).tar.xz

## mplayerthumbs 15.04.2

=== debian/changelog ===
mplayerthumbs (4:15.04.2-0ubuntu1) wily; urgency=medium

  [ Scarlett Clark ]
  * New upstream release
  * New upstream release

  [ Jonathan Riddell ]
  * New upstream release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 09 Jun 2015 22:33:49 +0200

## mplayerthumbs 15.07.90

=== debian/changelog ===
mplayerthumbs (4:15.07.90-0ubuntu1) wily; urgency=medium

  * new upstream beta release

 -- Jonathan Riddell <jriddell@ubuntu.com>  Tue, 18 Aug 2015 11:28:47 +0100

## mplayerthumbs 15.08.0

=== debian/changelog ===
mplayerthumbs (4:15.08.0-0ubuntu1) wily; urgency=medium

  * new upstream release

 -- Clive Johnston <clivejo@aol.com>  Wed, 26 Aug 2015 18:19:44 +0100

## mplayerthumbs 15.08.1

=== debian/changelog ===
mplayerthumbs (4:15.08.1-0ubuntu1) wily; urgency=medium

  * New upstream release (15.08.1)

 -- Clive Johnston <clivejo@aol.com>  Tue, 22 Sep 2015 17:44:01 +0100

## mplayerthumbs 15.08.2

=== debian/changelog ===
mplayerthumbs (4:15.08.2-0ubuntu1) wily; urgency=medium

  * New upstream release

 -- Scarlett Clark <sgclark@kubuntu.org>  Wed, 14 Oct 2015 13:02:31 +0100

## mplayerthumbs 15.08.3

=== debian/changelog ===
mplayerthumbs (4:15.08.3-2) unstable; urgency=medium

  [ Automatic packaging ]
  * Bump Standards-Version to 3.9.8

  [ Maximiliano Curia ]
  * Add upstream metadata (DEP-12)
  * debian/control: Update Vcs-Browser and Vcs-Git fields

 -- Maximiliano Curia <maxy@debian.org>  Sat, 21 May 2016 23:50:58 +0200

mplayerthumbs (4:15.08.3-1) unstable; urgency=medium

  * New upstream release (15.08.3).

 -- Maximiliano Curia <maxy@debian.org>  Wed, 02 Dec 2015 12:39:47 +0100

mplayerthumbs (4:15.08.0-1) unstable; urgency=medium

  * New upstream release (15.04.2).
  * New upstream release (15.08.0).
  * Bump Standards-Version to 3.9.6.

 -- Maximiliano Curia <maxy@debian.org>  Sat, 19 Sep 2015 19:10:32 +0200

=== debian/control ===
Source: mplayerthumbs
Section: kde
Priority: optional
Maintainer: Debian Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev (>= 4:4.11),
               pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.8
Homepage: http://www.kde.org/
Vcs-Browser: https://anonscm.debian.org/git/pkg-kde/applications/mplayerthumbs.git
Vcs-Git: https://anonscm.debian.org/git/pkg-kde/applications/mplayerthumbs.git

Package: mplayerthumbs
Architecture: any
Depends: mplayer, ${misc:Depends}, ${shlibs:Depends}
Description: video thumbnail generator using mplayer
 MPlayerThumbs is a video thumbnail generator for KDE file managers
 like Dolphin and Konqueror.  It enables them to show preview images
 of video files using MPlayer.
 .
 This package is part of the KDE multimedia module.

## mplayerthumbs 15.12.1

=== debian/changelog ===
mplayerthumbs (4:15.12.1-0ubuntu1) xenial; urgency=medium

  * New upstream release
  * Merged with Debian

 -- Clive Johnston <clivejo@aol.com>  Wed, 09 Mar 2016 11:32:07 +0100

## mplayerthumbs 15.12.3

=== CMakeLists.txt ===
project(mplayerthumbs)

find_package(KDE4 REQUIRED)
include_directories(${KDE4_INCLUDES})

add_subdirectory( src )

=== src/configuration/CMakeLists.txt ===
set(mplayerthumbsconfig_SRCS main.cpp mplayerthumbscfg.cpp)
include_directories( ${CMAKE_CURRENT_BINARY_DIR} )
kde4_add_kcfg_files(mplayerthumbsconfig_SRCS ../mplayerthumbs.kcfgc)
kde4_add_ui_files(mplayerthumbsconfig_SRCS configDialog.ui mplayerConfig.ui)
kde4_add_executable(mplayerthumbsconfig ${mplayerthumbsconfig_SRCS})

target_link_libraries(mplayerthumbsconfig ${KDE4_KDECORE_LIBS} ${KDE4_KDEUI_LIBS} ${KDE4_KIO_LIBRARY} ${videopreview} )

install(TARGETS mplayerthumbsconfig ${INSTALL_TARGETS_DEFAULT_ARGS})

=== debian/changelog ===
mplayerthumbs (4:15.12.3-0ubuntu1) xenial; urgency=medium

  * New upstream bugfix release
  * New upstream bugfix release

 -- Scarlett Clark <sgclark@kubuntu.org>  Thu, 14 Apr 2016 16:25:11 -0700

=== debian/control ===
Source: mplayerthumbs
Section: kde
Priority: optional
Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Pino Toscano <pino@debian.org>, Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake,
               debhelper (>= 9),
               kde-sc-dev-latest (>= 4:4.12),
               kdelibs5-dev,
               pkg-kde-tools (>= 0.12)
Standards-Version: 3.9.6
Homepage: http://www.kde.org/
Vcs-Browser: http://anonscm.debian.org/cgit/pkg-kde/kde-applications/mplayerthumbs.git/
Vcs-Git: git://anonscm.debian.org/pkg-kde/kde-applications/mplayerthumbs.git

Package: mplayerthumbs
Architecture: any
Depends: mplayer, ${misc:Depends}, ${shlibs:Depends}
Description: video thumbnail generator using mplayer
 MPlayerThumbs is a video thumbnail generator for KDE file managers
 like Dolphin and Konqueror.  It enables them to show preview images
 of video files using MPlayer.
 .
 This package is part of the KDE multimedia module.

=== debian/watch ===
version=3
http://download.kde.org/stable/applications/([\d.]+)/src/mplayerthumbs-([\d.]+).tar.xz
http://download.kde.org/unstable/applications/([\d.]+)/src/mplayerthumbs-([\d.]+).tar.xz
